org.jboss.resteasy.plugins.server.netty

## Class HttpsServerPipelineFactory

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.HttpServerPipelineFactory
  - - org.jboss.resteasy.plugins.server.netty.HttpsServerPipelineFactory

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelPipelineFactory

      public class HttpsServerPipelineFactory
      extends HttpServerPipelineFactory

  `HttpServerPipelineFactory` subclass which enable the use of HTTPS
  Author:
    Norman Maurer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpsServerPipelineFactory(RequestDispatcher dispatcher, String root, int executorThreadCount, int maxRequestSize, boolean isKeepAlive, SSLContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.netty.channel.ChannelPipeline` | `getPipeline()`
    `protected RestEasyHttpRequestDecoder.Protocol` | `getProtocol()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpsServerPipelineFactory

          public HttpsServerPipelineFactory(RequestDispatcher dispatcher,
                                    String root,
                                    int executorThreadCount,
                                    int maxRequestSize,
                                    boolean isKeepAlive,
                                    SSLContext context)

  - ### Method Detail

    - #### getPipeline

          public org.jboss.netty.channel.ChannelPipeline getPipeline()
                                                              throws Exception

      Specified by:
        `getPipeline` in interface `org.jboss.netty.channel.ChannelPipelineFactory`
      Overrides:
        `getPipeline` in class `HttpServerPipelineFactory`
      Throws:
        `Exception`

    - #### getProtocol

          protected RestEasyHttpRequestDecoder.Protocol getProtocol()

      Overrides:
        `getProtocol` in class `HttpServerPipelineFactory`

Copyright © 2014. All Rights Reserved.